﻿@model FQ.MD.WEB.ViewModels.Form.AccountLoginForm
@using FQ.MD.WEB.Resources

<style>
.input-group > .form-control:not(:last-child) {
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
}
</style>
<div class="container">
    <div class="row justify-content-center">
        <div class="card my-5">
            <div class="card-body" style="min-width:30%">
                <div class="col-lg-12">
                    @using (Html.BeginForm("Login", "Account", FormMethod.Post, new { @id = "loginForm" }))
                    {
                        @Html.AntiForgeryToken()
                        <div class="form-horizontal">
                            <div class="form-group row">
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-user"></i></span>
                                    </div>
                                    @Html.EditorFor(model => model.Username, new { htmlAttributes = new { @class = "form-control text-box single-line", @placeholder = @Res.Username } })
                                    <div class="col-md-12 p-0">
                                        @Html.ValidationMessageFor(model => model.Username, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-lock"></i></span>
                                    </div>
                                    @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control text-box single-line", @placeholder = @Res.Password } })
                                    <div class="col-md-12 p-0">
                                        @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12 p-0">
                                    <input id="btnSubmit" type="submit" value="@Res.Login" class="btn btn-primary btn-block" />
                                </div>
                            </div>

                            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts{
    <script type="text/javascript">

    $(document).ready(function () {
        $("#loginForm").submit(function (event) {
            $('#btnSubmit').prop('disabled', true);
            $('#modalProcess').modal({ backdrop: 'static', keyboard: false, show: true });
        });

        $("#loginForm").bind('ajax:complete', function () {
            $('#btnSubmit').prop('disabled', false);
            $('#modalProcess').modal('hide');
        });
    });
</script>
}